Expandable Autohotkey + Powershell script for quickly setting up programs and settings on fresh Windows Installations. Primarily created for use in a business environment for a quick way to setup/add software/settings to a user device.

<p align="center">
  <img width="1000"  src="https://git.zinchuk.xyz/yuriy/windows-toolbox/raw/branch/main/Assets/Preview1.png">
</p>

# Features
- Install Chocolatey Package Manager + Chocolatey Packages 
	- Install and Schedule [Choco Auto Upgrade](https://community.chocolatey.org/packages/choco-upgrade-all-at)
	- Install [Voidtools Search Everything](https://www.voidtools.com/) and push custom configuration file to all users on the machine.
	- Install Share-X Screenshot Tool and push custom configuration files to all users on the machine.
- Install Software using .exe or .msi or other
- Set Windows Settings using Powershell + Registry Edits
- Remove Bloat using Registry Edits
	- Start Menu bloatware, Unwanted applications, Useless taskbar icons, Disable Widgets 
- Deploy Wifi Settings
- Join Domain
- Change Hostname
- Add and Configure VPN
- Install Network Printers Drivers
- Log all Actions + Messages + Errors to a .txt file located at `C:\Windows-Setup.log`

## Usage
1) Git clone the repo to your device using
`git clone https://git.zinchuk.xyz/yuriy/windows-toolbox.git`
2) Run `Windows-Toolbox.ahk` if you have Autohotkey V1 installed, otherwise run `Windows-Toolbox.exe`
- To Add your own options, modify `Windows-Toolbox.ahk` and `\Installs\PowerShell\PowershellToolbox.ps1`.
	- Autohotkey is primarily used for the Toolbox GUI, and Powershell is used for the majority of the actions. 